/*
 * ForwardErrorMessages.h
 *
 *  Created on: May 26, 2011
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef FORWARDERRORMESSAGES_H_
#define FORWARDERRORMESSAGES_H_

const static char XYPlaneMustBeSquareKernel[] = "Kernel must have the same X and Y dimension (Nx, Ny, Nz, M, Nalpha) = (%1d x %1d x %1d x %1d x %1d)";
const static char XYPlaneMustBeSquareModel[] = "Model must have dimensions (Nx, Ny, Nz, Nalpha) = (%1d x %1d x %1d x %1d) based on the kernel dimensions";
const static char XYPlaneMustBeSquareNoiseAmp[] = "Noise amplitude must have dimensions (Nx, Ny, Nz, M) = (%1d x %1d x %1d x %1d) based on the kernel dimensions";
const static char ExpectedThetaMatrixDim[] = "Theta must be square and (%1d x %1d = %1d) on each side, based on kernel dimensions";
const static char ModelKernelSameAlpha[] = "The model must have the same alpha dimension (same number of scatterers) as the kernel. Found %1d, expected %1d";
const static char ModelKernelSameZ[] = "The model must have the same Z dimension as the kernel. Found %1d, expected %1d";
const static char RandomSeedNegative[] = "Unable to use requested random seed because it is negative";
const static char RandomSeedBad[] = "Unable to use requested random seed";
const static char RandomSeedSysTime[] = "Using system time for random seed";

#endif /* FORWARDERRORMESSAGES_H_ */
